[Cvs-annodex] commit (annodex):
AnnodexFirefoxExtension/trunk/Docs/Patches/VLC-0.86.patch
cchiu
nobody at lists.annodex.net
Mon Jun 26 08:25:05 UTC 2006
Update of /var/local/lib/svn/annodex (new revision 2343)
Modified files:
AnnodexFirefoxExtension/trunk/Docs/Patches/VLC-0.86.patch
Log Message:
Updated patch for errors (trial patch for VLC build 0.86)
Modified: AnnodexFirefoxExtension/trunk/Docs/Patches/VLC-0.86.patch
===================================================================
--- AnnodexFirefoxExtension/trunk/Docs/Patches/VLC-0.86.patch 2006-06-26 07:03:51 UTC (rev 2342)
+++ AnnodexFirefoxExtension/trunk/Docs/Patches/VLC-0.86.patch 2006-06-26 08:25:05 UTC (rev 2343)
@@ -130,7 +130,7 @@
===================================================================
--- Configure.linux (revision 0)
+++ Configure.linux (revision 0)
-@@ -0,0 +1,96 @@
+@@ -0,0 +1,31 @@
+#!/bin/sh -x
+
+set -e
@@ -151,82 +151,17 @@
+
+DFLAGS="-L${LOCALBASE}/lib -L${X11BASE}/lib -lXt"
+
-+CPPFLAGS="-I/usr/include -I/usr/include/ebml -I/{Path of VLC Source}/gecko-sdk/include"
-+LDFLAGS="-L/usr/lib -L/usr/X11R6/lib -lXt -L/{Path of VLC Source}/gecko-sdk/lib"
++CPPFLAGS="-I/usr/include -I/usr/include/ebml -I`pwd`/gecko-sdk/include"
++LDFLAGS="-L/usr/lib -L/usr/X11R6/lib -lXt -L`pwd`/gecko-sdk/lib"
+
-+XPIDL=/{Path of VLC Source}/gecko-sdk/bin/xpidl
-+XPIDL_INCL="-I/{Path of VLC Source}/gecko-sdk/idl"
++XPIDL=`pwd`/gecko-sdk/bin/xpidl
++XPIDL_INCL="-I`pwd`/gecko-sdk/idl"
+
+export CFLAGS CPPFLAGS LDFLAGS XPIDL XPIDL_INCL
+
+[ -x ./configure ] || ( cd ./bootstrap )
+
-+exec ./configure \
-+ --disable-a52 \
-+ --disable-alsa \
-+ --disable-caca \
-+ --disable-cdda \
-+ --disable-cddax \
-+ --disable-daap \
-+ --disable-debug \
-+ --disable-dshow \
-+ --disable-dts \
-+ --disable-dvb \
-+ --disable-dvbpsi \
-+ --disable-dvd \
-+ --disable-dvdnav \
-+ --disable-dvdread \
-+ --disable-faad \
-+ --disable-ffmpeg \
-+ --disable-freetype \
-+ --disable-fribidi \
-+ --disable-glx \
-+ --disable-gtk \
-+ --disable-hd1000v \
-+ --disable-libcddb \
-+ --disable-libcdio \
-+ --disable-libmpeg2 \
-+ --disable-libxml2 \
-+ --disable-livedotcom \
-+ --disable-mad \
-+ --disable-mkv \
-+ --disable-mod \
-+ --disable-nls \
-+ --disable-opengl \
-+ --disable-qte \
-+ --disable-satellite \
-+ --disable-sdl \
-+ --disable-skins2 \
-+ --disable-sout \
-+ --disable-speex \
-+ --disable-svg \
-+ --disable-tarkin \
-+ --disable-toolame \
-+ --disable-tremor \
-+ --disable-v4l \
-+ --disable-vcd \
-+ --disable-vcdx \
-+ --disable-vlm \
-+ --disable-waveout \
-+ --disable-wingdi \
-+ --disable-wxwindows \
-+ --disable-x264 \
-+ --enable-cmml \
-+ --enable-flac \
-+ --enable-httpd \
-+ --enable-mozilla --with-mozilla-sdk-path=/{Path of VLC Source}/gecko-sdk \
-+ --enable-ogg \
-+ --enable-optimization \
-+ --enable-plugins \
-+ --enable-theora \
-+ --enable-vorbis \
-+ --enable-x11 \
-+ --enable-xvideo \
-+ --without-ffmpeg-faac \
-+ --without-ffmpeg-mp3lame \
-+ --without-libiconv-prefix \
-+ "$@" \
-+ 2>&1 | tee configure.output
++exec ./configure --disable-a52 --disable-alsa --disable-caca --disable-cdda --disable-cddax --disable-daap --disable-debug --disable-dshow --disable-dts --disable-dvb --disable-dvbpsi --disable-dvd --disable-dvdnav --disable-dvdread --disable-faad --disable-ffmpeg --disable-freetype --disable-fribidi --disable-glx --disable-gtk --disable-hd1000v --disable-libcddb --disable-libcdio --disable-libmpeg2 --disable-libxml2 --disable-livedotcom --disable-mad --disable-mkv --disable-mod --disable-nls --disable-opengl --disable-qte --disable-satellite --disable-sdl --disable-skins2 --disable-sout --disable-speex --disable-svg --disable-tarkin --disable-toolame --disable-tremor --disable-v4l --disable-vcd --disable-vcdx --disable-vlm --disable-waveout --disable-wingdi --disable-wxwindows --disable-x264 --enable-cmml --enable-flac --enable-httpd --enable-mozilla --with-mozilla-sdk-path=`pwd`/gecko-sdk --enable-ogg --enable-optimization --enable-plugins --enable-theora --enable-vorbis --enable-x11 --enable-xvideo --without-ffmpeg-faac --without-ffmpeg-mp3lame --without-libiconv-prefix "$@" 2>&1 | tee configure.output
Index: extras/contrib/config.mak
===================================================================
--- extras/contrib/config.mak (revision 0)
@@ -255,10 +190,10 @@
+EXTRA_PATH =
+WGET = curl -O
+SVN = /usr/local/bin/svn
-Index: /annodex/src/misc/charset.c
+Index: src/misc/charset.c
===================================================================
---- /annodex/src/misc/charset.c (revision 15939)
-+++ /annodex/src/misc/charset.c (working copy)
+--- src/misc/charset.c (revision 15939)
++++ src/misc/charset.c (working copy)
@@ -254,8 +254,10 @@
* use setlocale here; it would return "C" when it doesn't support the
* locale name the user has set. Darwin's setlocale is broken. */
@@ -281,10 +216,10 @@
if( psz_lang == NULL || psz_lang[0] == '\0' )
{
psz_lang = getenv( "LC_ALL" );
-Index: /annodex/configure.ac
+Index: configure.ac
===================================================================
---- /annodex/configure.ac (revision 15939)
-+++ /annodex/configure.ac (working copy)
+--- configure.ac (revision 15939)
++++ configure.ac (working copy)
@@ -1,10 +1,10 @@
dnl Autoconf settings for vlc
@@ -519,10 +454,10 @@
VLC_ADD_LDFLAGS([goom],[-L${real_goom_tree} -lgoom])
VLC_ADD_CPPFLAGS([goom],[-I${real_goom_tree} -DUSE_GOOM_TREE -DOLD_GOOM])
else
-Index: /annodex/modules/demux/ogg.c
+Index: modules/demux/ogg.c
===================================================================
---- /annodex/modules/demux/ogg.c (revision 15939)
-+++ /annodex/modules/demux/ogg.c (working copy)
+--- modules/demux/ogg.c (revision 15939)
++++ modules/demux/ogg.c (working copy)
@@ -291,6 +291,7 @@
}
else if ( p_stream->fmt.i_codec == VLC_FOURCC('c','m','m','l') )
@@ -738,10 +673,10 @@
p_stream->fmt.i_cat = VIDEO_ES;
p_stream->fmt.i_codec = VLC_FOURCC( 'm','p','g','v' );
}
-Index: /annodex/modules/access/http.c
+Index: modules/access/http.c
===================================================================
---- /annodex/modules/access/http.c (revision 15939)
-+++ /annodex/modules/access/http.c (working copy)
+--- modules/access/http.c (revision 15939)
++++ modules/access/http.c (working copy)
@@ -927,8 +927,14 @@
/* Offset */
if( p_sys->i_version == 1 )
@@ -759,10 +694,10 @@
}
/* Authentication */
-Index: /annodex/mozilla/vlcpeer.cpp
+Index: mozilla/vlcpeer.cpp
===================================================================
---- /annodex/mozilla/vlcpeer.cpp (revision 15939)
-+++ /annodex/mozilla/vlcpeer.cpp (working copy)
+--- mozilla/vlcpeer.cpp (revision 15939)
++++ mozilla/vlcpeer.cpp (working copy)
@@ -48,6 +48,7 @@
#include "vlcpeer.h"
@@ -793,10 +728,10 @@
+ }
+ return NS_OK;
+}
-Index: /annodex/mozilla/vlc.r
+Index: mozilla/vlc.r
===================================================================
---- /annodex/mozilla/vlc.r (revision 15939)
-+++ /annodex/mozilla/vlc.r (working copy)
+--- mozilla/vlc.r (revision 15939)
++++ mozilla/vlc.r (working copy)
@@ -13,9 +13,8 @@
resource 'STR#' (126)
{
@@ -869,52 +804,23 @@
};
};
-Index: /annodex/mozilla/Makefile.am
+Index: mozilla/Makefile.am
===================================================================
---- /annodex/mozilla/Makefile.am (revision 15939)
-+++ /annodex/mozilla/Makefile.am (working copy)
-@@ -7,13 +7,20 @@
- MOSTLYCLEANFILES = $(npvlc_DATA) $(vlcintf_xpt_DATA)
- CLEANFILES = stamp-pic $(BUILT_SOURCES)
- EXTRA_DIST = $(DIST_sources) vlcintf.idl npvlc_rc.rc vlc.r
-+VLCIDL_FILE = "$(srcdir)/vlcintf.idl"
-
-+# For MacOS and Linux users, you may leave the default values.
-+# For Cygwin users, you need to make the following changes for the location:
-+# VLCIDL_FILE = "{drive}:\{Path of VLC Source}/mozilla/vlcintf.idl"
-+
- SOURCES_mozilla_common = \
- vlcshell.cpp \
- vlcplugin.cpp \
- vlcplugin.h \
- vlcpeer.cpp \
- vlcpeer.h \
-+ vlcstreaminfo.c \
-+ vlcstreaminfo.h \
- vlcruntime.cpp \
- vlcruntime.h \
- support/classinfo.h
-@@ -176,13 +183,14 @@
- @if test -f "$@.exe"; then mv -f "$@.exe" "$@"; fi
-
- vlcintf_xptdir = $(libdir)/mozilla/components
-+
- vlcintf.xpt: vlcintf.idl
- $(XPIDL) $(XPIDL_INCL) \
-- -m typelib -o vlcintf $(srcdir)/vlcintf.idl
-+ -m typelib -o vlcintf $(VLCIDL_FILE)
-
- vlcintf.h: vlcintf.idl
- $(XPIDL) $(XPIDL_INCL) \
-- -m header -o vlcintf $(srcdir)/vlcintf.idl
-+ -m header -o vlcintf $(VLCIDL_FILE)
-
- ###############################################################################
- # Stamp rules
-Index: /annodex/mozilla/npvlc_rc.rc
+--- mozilla/Makefile.am (revision 15940)
++++ mozilla/Makefile.am (working copy)
+@@ -14,6 +14,8 @@
+ vlcplugin.h \
+ vlcpeer.cpp \
+ vlcpeer.h \
++ vlcstreaminfo.c \
++ vlcstreaminfo.h \
+ vlcruntime.cpp \
+ vlcruntime.h \
+ support/classinfo.h
+Index: mozilla/npvlc_rc.rc
===================================================================
---- /annodex/mozilla/npvlc_rc.rc (revision 15939)
-+++ /annodex/mozilla/npvlc_rc.rc (working copy)
+--- mozilla/npvlc_rc.rc (revision 15939)
++++ mozilla/npvlc_rc.rc (working copy)
@@ -31,17 +31,17 @@
BEGIN
BLOCK "040904e4"
@@ -942,10 +848,10 @@
END
END
BLOCK "VarFileInfo"
-Index: /annodex/mozilla/vlcplugin.h
+Index: mozilla/vlcplugin.h
===================================================================
---- /annodex/mozilla/vlcplugin.h (revision 15939)
-+++ /annodex/mozilla/vlcplugin.h (working copy)
+--- mozilla/vlcplugin.h (revision 15939)
++++ mozilla/vlcplugin.h (working copy)
@@ -98,44 +98,14 @@
/*******************************************************************************
* Plugin properties.
@@ -994,10 +900,141 @@
+ "application/x-annodex-vlc-viewer-plugin::Annodex Media View"
#endif
-Index: /annodex/mozilla/vlcintf.idl
+Index: mozilla/vlcstreaminfo.c
===================================================================
---- /annodex/mozilla/vlcintf.idl (revision 15939)
-+++ /annodex/mozilla/vlcintf.idl (working copy)
+--- mozilla/vlcstreaminfo.c (revision 0)
++++ mozilla/vlcstreaminfo.c (revision 0)
+@@ -0,0 +1,86 @@
++/*****************************************************************************
++ * vlcstreaminfo.c: C interface to get information from the stream
++ *****************************************************************************
++ * Copyright (C) 2005 VideoLAN
++ * Copyright (C) 2005 Commonwealth Scientific Industrial Research
++ * Organisation (CSIRO) Australia
++ * $Id$
++ *
++ * Authors: Andre Pang <ozone at algorithm.com.au>
++ *
++ * This program is free software; you can redistribute it and/or modify
++ * it under the terms of the GNU General Public License as published by
++ * the Free Software Foundation; either version 2 of the License, or
++ * (at your option) any later version.
++ *
++ * This program is distributed in the hope that it will be useful,
++ * but WITHOUT ANY WARRANTY; without even the implied warranty of
++ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
++ * GNU General Public License for more details.
++ *
++ * You should have received a copy of the GNU General Public License
++ * along with this program; if not, write to the Free Software
++ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111, USA.
++ *****************************************************************************/
++
++/*****************************************************************************
++ * Preamble
++ *****************************************************************************/
++#include <vlc/vlc.h>
++#include <vlc_common.h>
++#include <vlc/vout.h>
++#include <vlc/intf.h>
++
++#include "vlcstreaminfo.h"
++
++int vlc_get_video_width( int i_vlc )
++{
++ vlc_t * p_vlc;
++ int i_width;
++
++ i_width = -1;
++
++ p_vlc = vlc_current_object( i_vlc );
++ if( p_vlc )
++ {
++ vout_thread_t * p_vout;
++
++ p_vout = vlc_object_find( p_vlc, VLC_OBJECT_VOUT, FIND_ANYWHERE );
++ if( p_vout )
++ {
++ i_width = p_vout->render.i_width;
++ }
++
++ vlc_object_release( p_vout );
++ }
++
++ vlc_object_release( p_vlc );
++
++ return i_width;
++}
++
++int vlc_get_video_height( int i_vlc )
++{
++ vlc_t * p_vlc;
++ int i_height;
++
++ i_height = -1;
++
++ p_vlc = vlc_current_object( i_vlc );
++ if( p_vlc )
++ {
++ vout_thread_t * p_vout;
++
++ p_vout = vlc_object_find( p_vlc, VLC_OBJECT_VOUT, FIND_ANYWHERE );
++ if( p_vout )
++ {
++ i_height = p_vout->render.i_height;
++ }
++
++ vlc_object_release( p_vout );
++ }
++
++ vlc_object_release( p_vlc );
++
++ return i_height;
++}
+Index: mozilla/vlcstreaminfo.h
+===================================================================
+--- mozilla/vlcstreaminfo.h (revision 0)
++++ mozilla/vlcstreaminfo.h (revision 0)
+@@ -0,0 +1,35 @@
++/*****************************************************************************
++ * vlcstreaminfo.h: C interface to get information from the stream
++ *****************************************************************************
++ * Copyright (C) 2005 VideoLAN
++ * Copyright (C) 2005 Commonwealth Scientific Industrial Research
++ * Organisation (CSIRO) Australia
++ * $Id$
++ *
++ * Authors: Andre Pang <ozone at algorithm.com.au>
++ *
++ * This program is free software; you can redistribute it and/or modify
++ * it under the terms of the GNU General Public License as published by
++ * the Free Software Foundation; either version 2 of the License, or
++ * (at your option) any later version.
++ *
++ * This program is distributed in the hope that it will be useful,
++ * but WITHOUT ANY WARRANTY; without even the implied warranty of
++ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
++ * GNU General Public License for more details.
++ *
++ * You should have received a copy of the GNU General Public License
++ * along with this program; if not, write to the Free Software
++ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111, USA.
++ *****************************************************************************/
++
++#ifdef __cplusplus
++extern "C" {
++#endif
++
++int vlc_get_video_width( int );
++int vlc_get_video_height( int );
++
++#ifdef __cplusplus
++}
++#endif
+Index: mozilla/vlcintf.idl
+===================================================================
+--- mozilla/vlcintf.idl (revision 15939)
++++ mozilla/vlcintf.idl (working copy)
@@ -37,6 +37,10 @@
PRInt64 get_position();
PRInt64 get_time();
@@ -1009,10 +1046,10 @@
void seek( in PRInt64 i_secs, in PRInt64 b_relative);
};
-Index: /annodex/mozilla/vlcshell.cpp
+Index: mozilla/vlcshell.cpp
===================================================================
---- /annodex/mozilla/vlcshell.cpp (revision 15939)
-+++ /annodex/mozilla/vlcshell.cpp (working copy)
+--- mozilla/vlcshell.cpp (revision 15939)
++++ mozilla/vlcshell.cpp (working copy)
@@ -326,33 +326,17 @@
};
--
cchiu
More information about the cvs-annodex
mailing list